Index: trunk/config/boot.rb
===================================================================
--- trunk/config/boot.rb	(revision 771)
+++ trunk/config/boot.rb	(revision 772)

Property changes on: trunk/config/boot.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/database.yml.example
===================================================================
--- trunk/config/database.yml.example	(revision 771)
+++ trunk/config/database.yml.example	(revision 772)
@@ -15,14 +15,14 @@
  
 development:
   adapter: mysql
-  database: redmine_development
+  database: redmine_development
   host: localhost
   username: root
   password:
-
+
 test:
   adapter: mysql
-  database: redmine_test
+  database: redmine_test
   host: localhost
   username: root
   password:
@@ -44,8 +44,8 @@
   adapter: sqlserver
   host: localhost,1157
   database: redmine_test
-  
+  
 demo:
-  adapter: sqlite3
-  dbfile: db/redmine_demo.db
+  adapter: sqlite3
+  dbfile: db/redmine_demo.db
   

Property changes on: trunk/config/database.yml.example
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environment.rb
===================================================================
--- trunk/config/environment.rb	(revision 771)
+++ trunk/config/environment.rb	(revision 772)
@@ -2,7 +2,7 @@
 
 # Uncomment below to force Rails into production mode when 
 # you don't control web/app server and can't set it the proper way
-# ENV['RAILS_ENV'] ||= 'production'
+# ENV['RAILS_ENV'] ||= 'production'
 
 # Bootstrap the Rails environment, frameworks, and default configuration
 require File.join(File.dirname(__FILE__), 'boot')
@@ -41,24 +41,24 @@
   # (enables use of different database adapters for development and test environments)
   # config.active_record.schema_format = :ruby
 
-  # See Rails::Configuration for more options
-  
-	# SMTP server configuration
-	config.action_mailer.smtp_settings = {
-		:address => "127.0.0.1",
-		:port => 25,
-		:domain => "somenet.foo",
-		:authentication => :login,
-		:user_name => "redmine",
-		:password => "redmine",
-	}
-	
-	config.action_mailer.perform_deliveries = true
-
+  # See Rails::Configuration for more options
+  
+	# SMTP server configuration
+	config.action_mailer.smtp_settings = {
+		:address => "127.0.0.1",
+		:port => 25,
+		:domain => "somenet.foo",
+		:authentication => :login,
+		:user_name => "redmine",
+		:password => "redmine",
+	}
+	
+	config.action_mailer.perform_deliveries = true
+
 	# Tell ActionMailer not to deliver emails to the real world.
 	# The :test delivery method accumulates sent emails in the
 	# ActionMailer::Base.deliveries array.
-	#config.action_mailer.delivery_method = :test
+	#config.action_mailer.delivery_method = :test
 	config.action_mailer.delivery_method = :smtp  
 
   # Uncomment this line if the engines plugin is installed.

Property changes on: trunk/config/environment.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/demo.rb
===================================================================
--- trunk/config/environments/demo.rb	(revision 771)
+++ trunk/config/environments/demo.rb	(revision 772)
@@ -14,8 +14,8 @@
 
 # Enable serving of images, stylesheets, and javascripts from an asset server
 # config.action_controller.asset_host                  = "http://assets.example.com"
-
+
 # Disable mail delivery
-config.action_mailer.perform_deliveries = false
+config.action_mailer.perform_deliveries = false
 config.action_mailer.raise_delivery_errors = false
-
+

Property changes on: trunk/config/environments/demo.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/development.rb
===================================================================
--- trunk/config/environments/development.rb	(revision 771)
+++ trunk/config/environments/development.rb	(revision 772)

Property changes on: trunk/config/environments/development.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/production.rb
===================================================================
--- trunk/config/environments/production.rb	(revision 771)
+++ trunk/config/environments/production.rb	(revision 772)
@@ -14,9 +14,9 @@
 
 # Enable serving of images, stylesheets, and javascripts from an asset server
 # config.action_controller.asset_host                  = "http://assets.example.com"
-
+
 # Disable delivery errors if you bad email addresses should just be ignored
 config.action_mailer.raise_delivery_errors = false
 
 # No email in production log
-config.action_mailer.logger = nil
+config.action_mailer.logger = nil

Property changes on: trunk/config/environments/production.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/test.rb
===================================================================
--- trunk/config/environments/test.rb	(revision 771)
+++ trunk/config/environments/test.rb	(revision 772)

Property changes on: trunk/config/environments/test.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/test_oracle.rb
===================================================================
--- trunk/config/environments/test_oracle.rb	(revision 771)
+++ trunk/config/environments/test_oracle.rb	(revision 772)

Property changes on: trunk/config/environments/test_oracle.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/test_pgsql.rb
===================================================================
--- trunk/config/environments/test_pgsql.rb	(revision 771)
+++ trunk/config/environments/test_pgsql.rb	(revision 772)

Property changes on: trunk/config/environments/test_pgsql.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/environments/test_sqlserver.rb
===================================================================
--- trunk/config/environments/test_sqlserver.rb	(revision 771)
+++ trunk/config/environments/test_sqlserver.rb	(revision 772)

Property changes on: trunk/config/environments/test_sqlserver.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/help.yml
===================================================================
--- trunk/config/help.yml	(revision 771)
+++ trunk/config/help.yml	(revision 772)
@@ -1,84 +1,84 @@
-# redMine - project management software
-# Copyright (C) 2006  Jean-Philippe Lang
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; either version 2
-# of the License, or (at your option) any later version.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-
-# available languages for help pages
-langs:
-  - en
-  - fr
-  - ja
-
-# mapping between controller/action and help pages
-# if action is not defined here, 'index' page will be displayed
-pages:
-  # administration
-  admin:
-    index:          ch01.html
-    projects:       ch01s01.html
-    mail_options:   ch01s09.html
-    info:           ch01s12.html
-  users:
-    index:          ch01s02.html
-  roles:
-    index:          ch01s03.html
-    workflow:       ch01s07.html
-  trackers:
-    index:          ch01s04.html
-  issue_statuses:
-    index:          ch01s06.html
-  settings:
-    index:          ch01s11.html
-  # projects
-  projects:
-    index:          ch02.html
-    settings:       ch01s01.html
-    add:            ch01s01.html
-    show:           ch02s01.html
-    gantt:          ch02s02.html
-    calendar:       ch02s02.html
-    changelog:      ch02s06.html
-    roadmap:        ch02s07.html
-    add_document:   ch02s07.html
-    list_documents: ch02s07.html
-    add_issue:      ch02s03.html
-    list_issues:    ch02s03.html
-    add_news:       ch02s06.html
-    list_news:      ch02s06.html
-    add_file:       ch02s11.html
-    list_files:     ch02s11.html
-    changelog:      ch02s05.html
-  issues:
-    index:          ch02s03.html
-  documents:
-    index:          ch02s09.html
-  news:
-    index:          ch02s06.html
-  versions:
-    index:          ch02s09.html
-  reports:
-    index:          ch02s04.html
-  # accounts
-  my:
-    index:          ch03.html
-    account:        ch03s01.html
-    page:           ch03s02.html
-  account:
-    index:          ch03.html
-    lost_password:  ch03s03.html
-    register:       ch03s04.html
-  wiki:
-    index:          ch02s10.html
+# redMine - project management software
+# Copyright (C) 2006  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+# available languages for help pages
+langs:
+  - en
+  - fr
+  - ja
+
+# mapping between controller/action and help pages
+# if action is not defined here, 'index' page will be displayed
+pages:
+  # administration
+  admin:
+    index:          ch01.html
+    projects:       ch01s01.html
+    mail_options:   ch01s09.html
+    info:           ch01s12.html
+  users:
+    index:          ch01s02.html
+  roles:
+    index:          ch01s03.html
+    workflow:       ch01s07.html
+  trackers:
+    index:          ch01s04.html
+  issue_statuses:
+    index:          ch01s06.html
+  settings:
+    index:          ch01s11.html
+  # projects
+  projects:
+    index:          ch02.html
+    settings:       ch01s01.html
+    add:            ch01s01.html
+    show:           ch02s01.html
+    gantt:          ch02s02.html
+    calendar:       ch02s02.html
+    changelog:      ch02s06.html
+    roadmap:        ch02s07.html
+    add_document:   ch02s07.html
+    list_documents: ch02s07.html
+    add_issue:      ch02s03.html
+    list_issues:    ch02s03.html
+    add_news:       ch02s06.html
+    list_news:      ch02s06.html
+    add_file:       ch02s11.html
+    list_files:     ch02s11.html
+    changelog:      ch02s05.html
+  issues:
+    index:          ch02s03.html
+  documents:
+    index:          ch02s09.html
+  news:
+    index:          ch02s06.html
+  versions:
+    index:          ch02s09.html
+  reports:
+    index:          ch02s04.html
+  # accounts
+  my:
+    index:          ch03.html
+    account:        ch03s01.html
+    page:           ch03s02.html
+  account:
+    index:          ch03.html
+    lost_password:  ch03s03.html
+    register:       ch03s04.html
+  wiki:
+    index:          ch02s10.html
     syntax:         wiki_syntax.html
\ No newline at end of file

Property changes on: trunk/config/help.yml
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/routes.rb
===================================================================
--- trunk/config/routes.rb	(revision 771)
+++ trunk/config/routes.rb	(revision 772)
@@ -8,10 +8,10 @@
 
   map.home '', :controller => 'welcome'
 
-  map.connect 'wiki/:id/:page/:action', :controller => 'wiki', :page => nil
-  map.connect 'roles/workflow/:id/:role_id/:tracker_id', :controller => 'roles', :action => 'workflow'
-  map.connect 'help/:ctrl/:page', :controller => 'help'
-  #map.connect ':controller/:action/:id/:sort_key/:sort_order'
+  map.connect 'wiki/:id/:page/:action', :controller => 'wiki', :page => nil
+  map.connect 'roles/workflow/:id/:role_id/:tracker_id', :controller => 'roles', :action => 'workflow'
+  map.connect 'help/:ctrl/:page', :controller => 'help'
+  #map.connect ':controller/:action/:id/:sort_key/:sort_order'
   
   map.connect 'issues/:issue_id/relations/:action/:id', :controller => 'issue_relations'
   map.connect 'projects/:project_id/boards/:action/:id', :controller => 'boards'
@@ -20,7 +20,7 @@
   # Allow downloading Web Service WSDL as a file with an extension
   # instead of a file named 'wsdl'
   map.connect ':controller/service.wsdl', :action => 'wsdl'
-
+
  
   # Install the default route as the lowest priority.
   map.connect ':controller/:action/:id'

Property changes on: trunk/config/routes.rb
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: trunk/config/settings.yml
===================================================================
--- trunk/config/settings.yml	(revision 771)
+++ trunk/config/settings.yml	(revision 772)
@@ -1,82 +1,82 @@
-# redMine - project management software
-# Copyright (C) 2006-2007  Jean-Philippe Lang
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; either version 2
-# of the License, or (at your option) any later version.
-# 
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-
-
-# DO NOT MODIFY THIS FILE !!!
-# Settings can be defined through the application in Admin -> Settings
-
-app_title:
-  default: Redmine
-app_subtitle:
-  default: Project management
-welcome_text:
-  default:
-login_required:
-  default: 0
-self_registration:
-  default: 1
-lost_password:
-  default: 1
-attachment_max_size:
-  format: int
-  default: 5120
-issues_export_limit:
-  format: int
-  default: 500
-mail_from:
-  default: redmine@somenet.foo
-text_formatting:
-  default: textile
-wiki_compression:
-  default: ""
-default_language:
-  default: en
-host_name:
-  default: localhost:3000
-feeds_limit:
-  format: int
-  default: 15
-autofetch_changesets:
-  default: 1
-sys_api_enabled:
-  default: 0
-commit_ref_keywords:
-  default: 'refs,references,IssueID'
-commit_fix_keywords:
-  default: 'fixes,closes'
-commit_fix_status_id:
-  format: int
-  default: 0
-# autologin duration in days
-# 0 means autologin is disabled 
-autologin:
-  format: int
-  default: 0
-# date format
-# 0: language based
-# 1: ISO format
-date_format:
-  format: int
-  default: 0
-cross_project_issue_relations:
-  default: 0
-notified_events:
-  serialized: true
-  default: --
-  - issue_added
-  - issue_updated
+# redMine - project management software
+# Copyright (C) 2006-2007  Jean-Philippe Lang
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+
+# DO NOT MODIFY THIS FILE !!!
+# Settings can be defined through the application in Admin -> Settings
+
+app_title:
+  default: Redmine
+app_subtitle:
+  default: Project management
+welcome_text:
+  default:
+login_required:
+  default: 0
+self_registration:
+  default: 1
+lost_password:
+  default: 1
+attachment_max_size:
+  format: int
+  default: 5120
+issues_export_limit:
+  format: int
+  default: 500
+mail_from:
+  default: redmine@somenet.foo
+text_formatting:
+  default: textile
+wiki_compression:
+  default: ""
+default_language:
+  default: en
+host_name:
+  default: localhost:3000
+feeds_limit:
+  format: int
+  default: 15
+autofetch_changesets:
+  default: 1
+sys_api_enabled:
+  default: 0
+commit_ref_keywords:
+  default: 'refs,references,IssueID'
+commit_fix_keywords:
+  default: 'fixes,closes'
+commit_fix_status_id:
+  format: int
+  default: 0
+# autologin duration in days
+# 0 means autologin is disabled 
+autologin:
+  format: int
+  default: 0
+# date format
+# 0: language based
+# 1: ISO format
+date_format:
+  format: int
+  default: 0
+cross_project_issue_relations:
+  default: 0
+notified_events:
+  serialized: true
+  default: --
+  - issue_added
+  - issue_updated
   
\ No newline at end of file

Property changes on: trunk/config/settings.yml
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property