Index: trunk/app/views/admin/index.rhtml
===================================================================
--- trunk/app/views/admin/index.rhtml	(revision 963)
+++ trunk/app/views/admin/index.rhtml	(revision 964)
@@ -42,4 +42,6 @@
 
 <p class="icon22 icon22-info">
 <%= link_to l(:label_information_plural), :controller => 'admin', :action => 'info' %>
-</p>
\ No newline at end of file
+</p>
+
+<% set_html_title l(:label_administration) -%>
Index: trunk/app/views/admin/info.rhtml
===================================================================
--- trunk/app/views/admin/info.rhtml	(revision 963)
+++ trunk/app/views/admin/info.rhtml	(revision 964)
@@ -23,3 +23,5 @@
     <% end %>
 </table>
 <% end %>
+
+<% set_html_title(l(:label_information_plural)) -%>
Index: trunk/app/views/admin/mail_options.rhtml
===================================================================
--- trunk/app/views/admin/mail_options.rhtml	(revision 963)
+++ trunk/app/views/admin/mail_options.rhtml	(revision 964)
@@ -29,3 +29,5 @@
 
 <%= submit_tag l(:button_save) %>
 <% end %>
+
+<% set_html_title(l(:field_mail_notification)) -%>
Index: trunk/app/views/admin/projects.rhtml
===================================================================
--- trunk/app/views/admin/projects.rhtml	(revision 963)
+++ trunk/app/views/admin/projects.rhtml	(revision 964)
@@ -47,3 +47,5 @@
 
 <p><%= pagination_links_full @project_pages, :status => @status %>
 [ <%= @project_pages.current.first_item %> - <%= @project_pages.current.last_item %> / <%= @project_count %> ]</p>
+
+<% set_html_title l(:label_project_plural) -%>
Index: trunk/app/views/custom_fields/list.rhtml
===================================================================
--- trunk/app/views/custom_fields/list.rhtml	(revision 963)
+++ trunk/app/views/custom_fields/list.rhtml	(revision 964)
@@ -50,4 +50,6 @@
 </div>
 <% end %>
 
-<%= javascript_tag "showTab('#{@tab}');" %>
\ No newline at end of file
+<%= javascript_tag "showTab('#{@tab}');" %>
+
+<% set_html_title(l(:label_custom_field_plural)) -%>
Index: trunk/app/views/documents/show.rhtml
===================================================================
--- trunk/app/views/documents/show.rhtml	(revision 963)
+++ trunk/app/views/documents/show.rhtml	(revision 964)
@@ -3,9 +3,9 @@
 <%= link_to_if_authorized l(:button_delete), {:controller => 'documents', :action => 'destroy', :id => @document}, :confirm => l(:text_are_you_sure), :method => :post, :class => 'icon icon-del' %>
 </div>
 
-<h2><%= @document.title %></h2>
+<h2><%=h @document.title %></h2>
 
-<p><em><%= @document.category.name %><br />
+<p><em><%=h @document.category.name %><br />
 <%= format_date @document.created_on %></em></p>
 <%= textilizable @document.description, :attachments => @document.attachments %>
 <br />
@@ -34,3 +34,5 @@
   <%= submit_tag l(:button_add) %>
   <% end %> 
 <% end %>
+
+<% set_html_title h(@document.title) -%>
Index: trunk/app/views/enumerations/list.rhtml
===================================================================
--- trunk/app/views/enumerations/list.rhtml	(revision 963)
+++ trunk/app/views/enumerations/list.rhtml	(revision 964)
@@ -24,3 +24,5 @@
 
 <p><%= link_to l(:label_enumeration_new), { :action => 'new', :opt => option } %></p>
 <% end %>
+
+<% set_html_title(l(:label_enumerations)) -%>
Index: trunk/app/views/issue_statuses/list.rhtml
===================================================================
--- trunk/app/views/issue_statuses/list.rhtml	(revision 963)
+++ trunk/app/views/issue_statuses/list.rhtml	(revision 964)
@@ -32,4 +32,6 @@
   </tbody>
 </table>
 
-<%= pagination_links_full @issue_status_pages %>
\ No newline at end of file
+<%= pagination_links_full @issue_status_pages %>
+
+<% set_html_title(l(:label_issue_status_plural)) -%>
Index: trunk/app/views/my/account.rhtml
===================================================================
--- trunk/app/views/my/account.rhtml	(revision 963)
+++ trunk/app/views/my/account.rhtml	(revision 964)
@@ -44,3 +44,5 @@
 <% content_for :sidebar do %>
 <%= render :partial => 'sidebar' %>
 <% end %>
+
+<% set_html_title l(:label_my_account) -%>
Index: trunk/app/views/my/page.rhtml
===================================================================
--- trunk/app/views/my/page.rhtml	(revision 963)
+++ trunk/app/views/my/page.rhtml	(revision 964)
@@ -38,3 +38,5 @@
 
 <div id="context-menu" style="display: none;"></div>
 <%= javascript_tag 'new ContextMenu({})' %>
+
+<% set_html_title l(:label_my_page) -%>
Index: trunk/app/views/news/index.rhtml
===================================================================
--- trunk/app/views/news/index.rhtml	(revision 963)
+++ trunk/app/views/news/index.rhtml	(revision 964)
@@ -32,3 +32,5 @@
 <% content_for :header_tags do %>
   <%= auto_discovery_link_tag(:atom, params.merge({:format => 'atom', :page => nil, :key => User.current.rss_key})) %>
 <% end %>
+
+<% set_html_title l(:label_news_plural) -%>
Index: trunk/app/views/news/show.rhtml
===================================================================
--- trunk/app/views/news/show.rhtml	(revision 963)
+++ trunk/app/views/news/show.rhtml	(revision 964)
@@ -41,3 +41,5 @@
 <p><%= submit_tag l(:button_add) %></p>
 <% end %>
 <% end %>
+
+<% set_html_title h(@news.title) -%>
Index: trunk/app/views/projects/activity.rhtml
===================================================================
--- trunk/app/views/projects/activity.rhtml	(revision 963)
+++ trunk/app/views/projects/activity.rhtml	(revision 964)
@@ -39,3 +39,5 @@
 <p><%= submit_tag l(:button_apply), :class => 'button-small' %></p>
 <% end %>
 <% end %>
+
+<% set_html_title l(:label_activity) -%>
Index: trunk/app/views/projects/calendar.rhtml
===================================================================
--- trunk/app/views/projects/calendar.rhtml	(revision 963)
+++ trunk/app/views/projects/calendar.rhtml	(revision 964)
@@ -38,3 +38,5 @@
     <p><%= submit_tag l(:button_apply), :class => 'button-small' %></p>
     <% end %>
 <% end %>
+
+<% set_html_title l(:label_calendar) -%>
Index: trunk/app/views/projects/gantt.rhtml
===================================================================
--- trunk/app/views/projects/gantt.rhtml	(revision 963)
+++ trunk/app/views/projects/gantt.rhtml	(revision 964)
@@ -245,3 +245,5 @@
     <p><%= submit_tag l(:button_apply), :class => 'button-small' %></p>
     <% end %>
 <% end %>
+
+<% set_html_title l(:label_gantt) -%>
Index: trunk/app/views/projects/list.rhtml
===================================================================
--- trunk/app/views/projects/list.rhtml	(revision 963)
+++ trunk/app/views/projects/list.rhtml	(revision 964)
@@ -16,3 +16,5 @@
 <span class="icon icon-fav"><%= l(:label_my_projects) %></span>
 </div>
 <% end %>
+
+<% set_html_title l(:label_project_plural) -%>
Index: trunk/app/views/projects/list_documents.rhtml
===================================================================
--- trunk/app/views/projects/list_documents.rhtml	(revision 963)
+++ trunk/app/views/projects/list_documents.rhtml	(revision 964)
@@ -35,3 +35,5 @@
     <label><%= radio_button_tag 'sort_by', 'author', (@sort_by == 'author'), :onclick => 'this.form.submit();' %> <%= l(:field_author) %></label>
     <% end %>
 <% end %>
+
+<% set_html_title l(:label_document_plural) -%>
Index: trunk/app/views/projects/list_files.rhtml
===================================================================
--- trunk/app/views/projects/list_files.rhtml	(revision 963)
+++ trunk/app/views/projects/list_files.rhtml	(revision 964)
@@ -41,4 +41,6 @@
   <% end %>
 <% end %>
   </tbody>
-</table>
\ No newline at end of file
+</table>
+
+<% set_html_title l(:label_attachment_plural) -%>
Index: trunk/app/views/projects/settings.rhtml
===================================================================
--- trunk/app/views/projects/settings.rhtml	(revision 963)
+++ trunk/app/views/projects/settings.rhtml	(revision 964)
@@ -14,3 +14,5 @@
 
 <%= tab = params[:tab] ? h(params[:tab]) : project_settings_tabs.first[:name]
 javascript_tag "showTab('#{tab}');" %>
+
+<% set_html_title l(:label_settings) -%>
Index: trunk/app/views/projects/show.rhtml
===================================================================
--- trunk/app/views/projects/show.rhtml	(revision 963)
+++ trunk/app/views/projects/show.rhtml	(revision 964)
@@ -81,3 +81,5 @@
 <% content_for :header_tags do %>
 <%= auto_discovery_link_tag(:atom, {:action => 'activity', :id => @project, :format => 'atom', :key => User.current.rss_key}) %>
 <% end %>
+
+<% set_html_title l(:label_overview) -%>
Index: trunk/app/views/repositories/changes.rhtml
===================================================================
--- trunk/app/views/repositories/changes.rhtml	(revision 963)
+++ trunk/app/views/repositories/changes.rhtml	(revision 964)
@@ -16,3 +16,5 @@
 </p>
 
 <%= render :partial => 'revisions', :locals => {:project => @project, :path => @path, :revisions => @changesets, :entry => @entry }%>
+
+<% set_html_title(h(@entry.name)) -%>
Index: trunk/app/views/repositories/revision.rhtml
===================================================================
--- trunk/app/views/repositories/revision.rhtml	(revision 963)
+++ trunk/app/views/repositories/revision.rhtml	(revision 964)
@@ -62,3 +62,5 @@
 <% content_for :header_tags do %>
 <%= stylesheet_link_tag "scm" %>
 <% end %>
+
+<% set_html_title("#{l(:label_revision)} #{@changeset.revision}") -%>
Index: trunk/app/views/repositories/revisions.rhtml
===================================================================
--- trunk/app/views/repositories/revisions.rhtml	(revision 963)
+++ trunk/app/views/repositories/revisions.rhtml	(revision 964)
@@ -16,3 +16,5 @@
 <%= stylesheet_link_tag "scm" %>
 <%= auto_discovery_link_tag(:atom, params.merge({:format => 'atom', :page => nil, :key => User.current.rss_key})) %>
 <% end %>
+
+<% set_html_title l(:label_revision_plural) -%>
Index: trunk/app/views/repositories/show.rhtml
===================================================================
--- trunk/app/views/repositories/show.rhtml	(revision 963)
+++ trunk/app/views/repositories/show.rhtml	(revision 964)
@@ -21,3 +21,5 @@
 <% content_for :header_tags do %>
 <%= stylesheet_link_tag "scm" %>
 <% end %>
+
+<% set_html_title l(:label_repository) -%>
Index: trunk/app/views/roles/list.rhtml
===================================================================
--- trunk/app/views/roles/list.rhtml	(revision 963)
+++ trunk/app/views/roles/list.rhtml	(revision 964)
@@ -32,3 +32,5 @@
 <p><%= pagination_links_full @role_pages %></p>
 
 <p><%= link_to l(:label_permissions_report), :action => 'report' %></p>
+
+<% set_html_title(l(:label_role_plural)) -%>
Index: trunk/app/views/roles/workflow.rhtml
===================================================================
--- trunk/app/views/roles/workflow.rhtml	(revision 963)
+++ trunk/app/views/roles/workflow.rhtml	(revision 964)
@@ -54,3 +54,5 @@
 <% end %>
 
 <% end %>
+
+<% set_html_title(l(:label_workflow)) -%>
Index: trunk/app/views/search/index.rhtml
===================================================================
--- trunk/app/views/search/index.rhtml	(revision 963)
+++ trunk/app/views/search/index.rhtml	(revision 964)
@@ -41,3 +41,5 @@
                    }, :href => url_for(params.merge(:previous => nil, :offset => @pagination_next_date.strftime("%Y%m%d%H%M%S"))) %>
 <% end %>
 </center></p>
+
+<% set_html_title(l(:label_search)) -%>
Index: trunk/app/views/settings/edit.rhtml
===================================================================
--- trunk/app/views/settings/edit.rhtml	(revision 963)
+++ trunk/app/views/settings/edit.rhtml	(revision 964)
@@ -98,3 +98,5 @@
 
 <%= submit_tag l(:button_save) %>
 <% end %>
+
+<% set_html_title(l(:label_settings)) -%>
Index: trunk/app/views/trackers/list.rhtml
===================================================================
--- trunk/app/views/trackers/list.rhtml	(revision 963)
+++ trunk/app/views/trackers/list.rhtml	(revision 964)
@@ -30,4 +30,6 @@
   </tbody>
 </table>
 
-<%= pagination_links_full @tracker_pages %>
\ No newline at end of file
+<%= pagination_links_full @tracker_pages %>
+
+<% set_html_title(l(:label_tracker_plural)) -%>
Index: trunk/app/views/users/list.rhtml
===================================================================
--- trunk/app/views/users/list.rhtml	(revision 963)
+++ trunk/app/views/users/list.rhtml	(revision 964)
@@ -57,4 +57,6 @@
 
 <p><%= pagination_links_full @user_pages, :status => @status %>
 [ <%= @user_pages.current.first_item %> - <%= @user_pages.current.last_item %> / <%= @user_count %> ]
-</p>
\ No newline at end of file
+</p>
+
+<% set_html_title(l(:label_user_plural)) -%>