Index: trunk/app/controllers/admin_controller.rb
===================================================================
--- trunk/app/controllers/admin_controller.rb	(revision 1025)
+++ trunk/app/controllers/admin_controller.rb	(revision 1026)
@@ -35,7 +35,7 @@
     
     @project_count = Project.count(:conditions => conditions)
     @project_pages = Paginator.new self, @project_count,
-								25,
+								per_page_option,
 								params['page']								
     @projects = Project.find :all, :order => sort_clause,
                         :conditions => conditions,
Index: trunk/app/controllers/application.rb
===================================================================
--- trunk/app/controllers/application.rb	(revision 1025)
+++ trunk/app/controllers/application.rb	(revision 1026)
@@ -158,6 +158,21 @@
     attachments
   end
 
+  # Returns the number of objects that should be displayed
+  # on the paginated list
+  def per_page_option
+    per_page = nil
+    if params[:per_page] && Setting.per_page_options_array.include?(params[:per_page].to_s.to_i)
+      per_page = params[:per_page].to_s.to_i
+      session[:per_page] = per_page
+    elsif session[:per_page]
+      per_page = session[:per_page]
+    else
+      per_page = Setting.per_page_options_array.first || 25
+    end
+    per_page
+  end
+
   # qvalues http header parser
   # code taken from webrick
   def parse_qvalues(value)
Index: trunk/app/controllers/boards_controller.rb
===================================================================
--- trunk/app/controllers/boards_controller.rb	(revision 1025)
+++ trunk/app/controllers/boards_controller.rb	(revision 1026)
@@ -40,7 +40,7 @@
     sort_update	
       
     @topic_count = @board.topics.count
-    @topic_pages = Paginator.new self, @topic_count, 25, params['page']
+    @topic_pages = Paginator.new self, @topic_count, per_page_option, params['page']
     @topics =  @board.topics.find :all, :order => "#{Message.table_name}.sticky DESC, #{sort_clause}",
                                   :include => [:author, {:last_reply => :author}],
                                   :limit  =>  @topic_pages.items_per_page,
Index: trunk/app/controllers/issues_controller.rb
===================================================================
--- trunk/app/controllers/issues_controller.rb	(revision 1025)
+++ trunk/app/controllers/issues_controller.rb	(revision 1026)
@@ -45,7 +45,7 @@
     sort_update
     retrieve_query
     if @query.valid?
-      limit = %w(pdf csv).include?(params[:format]) ? Setting.issues_export_limit.to_i : 25
+      limit = %w(pdf csv).include?(params[:format]) ? Setting.issues_export_limit.to_i : per_page_option
       @issue_count = Issue.count(:include => [:status, :project], :conditions => @query.statement)
       @issue_pages = Paginator.new self, @issue_count, limit, params['page']
       @issues = Issue.find :all, :order => sort_clause,
Index: trunk/app/controllers/repositories_controller.rb
===================================================================
--- trunk/app/controllers/repositories_controller.rb	(revision 1025)
+++ trunk/app/controllers/repositories_controller.rb	(revision 1026)
@@ -75,7 +75,7 @@
   def revisions
     @changeset_count = @repository.changesets.count
     @changeset_pages = Paginator.new self, @changeset_count,
-								      25,
+								      per_page_option,
 								      params['page']								
     @changesets = @repository.changesets.find(:all,
 						:limit  =>  @changeset_pages.items_per_page,
Index: trunk/app/controllers/users_controller.rb
===================================================================
--- trunk/app/controllers/users_controller.rb	(revision 1025)
+++ trunk/app/controllers/users_controller.rb	(revision 1026)
@@ -39,7 +39,7 @@
     
     @user_count = User.count(:conditions => conditions)
     @user_pages = Paginator.new self, @user_count,
-								15,
+								per_page_option,
 								params['page']								
     @users =  User.find :all,:order => sort_clause,
                         :conditions => conditions,
Index: trunk/app/controllers/wiki_controller.rb
===================================================================
--- trunk/app/controllers/wiki_controller.rb	(revision 1025)
+++ trunk/app/controllers/wiki_controller.rb	(revision 1026)
@@ -97,7 +97,7 @@
     @page = @wiki.find_page(params[:page])
     
     @version_count = @page.content.versions.count
-    @version_pages = Paginator.new self, @version_count, 25, params['p']
+    @version_pages = Paginator.new self, @version_count, per_page_option, params['p']
     # don't load text    
     @versions = @page.content.versions.find :all, 
                                             :select => "id, author_id, comments, updated_on, version",
Index: trunk/app/helpers/application_helper.rb
===================================================================
--- trunk/app/helpers/application_helper.rb	(revision 1025)
+++ trunk/app/helpers/application_helper.rb	(revision 1026)
@@ -103,26 +103,40 @@
     l(:actionview_datehelper_select_month_names).split(',')[month-1]
   end
 
-  def pagination_links_full(paginator, options={}, html_options={})
+  def pagination_links_full(paginator, count=nil, options={})
     page_param = options.delete(:page_param) || :page
-  
+    url_param = params.dup
+    
     html = ''    
     html << link_to_remote(('&#171; ' + l(:label_previous)), 
-                            {:update => "content", :url => options.merge(page_param => paginator.current.previous)},
-                            {:href => url_for(:params => options.merge(page_param => paginator.current.previous))}) + ' ' if paginator.current.previous
+                            {:update => "content", :url => url_param.merge(page_param => paginator.current.previous)},
+                            {:href => url_for(:params => url_param.merge(page_param => paginator.current.previous))}) + ' ' if paginator.current.previous
                             
     html << (pagination_links_each(paginator, options) do |n|
       link_to_remote(n.to_s, 
-                      {:url => {:params => options.merge(page_param => n)}, :update => 'content'},
-                      {:href => url_for(:params => options.merge(page_param => n))})
+                      {:url => {:params => url_param.merge(page_param => n)}, :update => 'content'},
+                      {:href => url_for(:params => url_param.merge(page_param => n))})
     end || '')
     
     html << ' ' + link_to_remote((l(:label_next) + ' &#187;'), 
-                                 {:update => "content", :url => options.merge(page_param => paginator.current.next)},
-                                 {:href => url_for(:params => options.merge(page_param => paginator.current.next))}) if paginator.current.next
+                                 {:update => "content", :url => url_param.merge(page_param => paginator.current.next)},
+                                 {:href => url_for(:params => url_param.merge(page_param => paginator.current.next))}) if paginator.current.next
+    
+    unless count.nil?
+      html << [" (#{paginator.current.first_item}-#{paginator.current.last_item}/#{count})", per_page_links(paginator.items_per_page)].compact.join(' | ')
+    end
+    
     html  
   end
   
+  def per_page_links(selected=nil)
+    links = Setting.per_page_options_array.collect do |n|
+      n == selected ? n : link_to_remote(n, {:update => "content", :url => params.dup.merge(:per_page => n)}, 
+                                            {:href => url_for(params.dup.merge(:per_page => n))})
+    end
+    links.size > 1 ? l(:label_display_per_page, links.join(', ')) : nil
+  end
+  
   def set_html_title(text)
     @html_header_title = text
   end
Index: trunk/app/models/setting.rb
===================================================================
--- trunk/app/models/setting.rb	(revision 1025)
+++ trunk/app/models/setting.rb	(revision 1026)
@@ -95,6 +95,11 @@
     class_eval src, __FILE__, __LINE__
   end
   
+  # Helper that returns an array based on per_page_options setting
+  def self.per_page_options_array
+    per_page_options.split(%r{[\s,]}).collect(&:to_i).select {|n| n > 0}.sort
+  end
+  
   # Checks if settings have changed since the values were read
   # and clears the cache hash if it's the case
   # Called once per request
Index: trunk/app/views/admin/projects.rhtml
===================================================================
--- trunk/app/views/admin/projects.rhtml	(revision 1025)
+++ trunk/app/views/admin/projects.rhtml	(revision 1026)
@@ -45,7 +45,6 @@
   </tbody>
 </table>
 
-<p><%= pagination_links_full @project_pages, :status => @status %>
-[ <%= @project_pages.current.first_item %> - <%= @project_pages.current.last_item %> / <%= @project_count %> ]</p>
+<p class="pagination"><%= pagination_links_full @project_pages, @project_count %></p>
 
 <% set_html_title l(:label_project_plural) -%>
Index: trunk/app/views/auth_sources/list.rhtml
===================================================================
--- trunk/app/views/auth_sources/list.rhtml	(revision 1025)
+++ trunk/app/views/auth_sources/list.rhtml	(revision 1026)
@@ -25,4 +25,4 @@
   </tbody>
 </table>
 
-<%= pagination_links_full @auth_source_pages %>
+<p class="pagination"><%= pagination_links_full @auth_source_pages %></p>
Index: trunk/app/views/boards/show.rhtml
===================================================================
--- trunk/app/views/boards/show.rhtml	(revision 1025)
+++ trunk/app/views/boards/show.rhtml	(revision 1026)
@@ -43,8 +43,7 @@
   <% end %>
   </tbody>
 </table>
-<p><%= pagination_links_full @topic_pages %>
-[ <%= @topic_pages.current.first_item %> - <%= @topic_pages.current.last_item %> / <%= @topic_count %> ]</p>
+<p class="pagination"><%= pagination_links_full @topic_pages, @topic_count %></p>
 <% else %>
 <p class="nodata"><%= l(:label_no_data) %></p>
 <% end %>
Index: trunk/app/views/issue_statuses/list.rhtml
===================================================================
--- trunk/app/views/issue_statuses/list.rhtml	(revision 1025)
+++ trunk/app/views/issue_statuses/list.rhtml	(revision 1026)
@@ -32,6 +32,6 @@
   </tbody>
 </table>
 
-<%= pagination_links_full @issue_status_pages %>
+<p class="pagination"><%= pagination_links_full @issue_status_pages %></p>
 
 <% set_html_title(l(:label_issue_status_plural)) -%>
Index: trunk/app/views/issues/index.rhtml
===================================================================
--- trunk/app/views/issues/index.rhtml	(revision 1025)
+++ trunk/app/views/issues/index.rhtml	(revision 1026)
@@ -48,8 +48,7 @@
 <%= link_to 'CSV', {:format => 'csv'}, :class => 'icon icon-csv' %>,
 <%= link_to 'PDF', {:format => 'pdf'}, :class => 'icon icon-pdf' %>
 </div>
-<p><%= pagination_links_full @issue_pages %>
-[ <%= @issue_pages.current.first_item %> - <%= @issue_pages.current.last_item %> / <%= @issue_count %> ]</p>
+<p class="pagination"><%= pagination_links_full @issue_pages, @issue_count %></p>
 <% end %>
 <% end %>
 <% end %>
Index: trunk/app/views/news/index.rhtml
===================================================================
--- trunk/app/views/news/index.rhtml	(revision 1025)
+++ trunk/app/views/news/index.rhtml	(revision 1026)
@@ -27,7 +27,7 @@
     <%= textilizable(news.description) %>
 <% end %>
 <% end %>
-<%= pagination_links_full @news_pages %>
+<p class="pagination"><%= pagination_links_full @news_pages %></p>
 
 <% content_for :header_tags do %>
   <%= auto_discovery_link_tag(:atom, params.merge({:format => 'atom', :page => nil, :key => User.current.rss_key})) %>
Index: trunk/app/views/repositories/revision.rhtml
===================================================================
--- trunk/app/views/repositories/revision.rhtml	(revision 1025)
+++ trunk/app/views/repositories/revision.rhtml	(revision 1026)
@@ -56,8 +56,7 @@
 <% end %>
 </tbody>
 </table>
-<p><%= pagination_links_full @changes_pages, :rev => @changeset.revision %>
-[ <%= @changes_pages.current.first_item %> - <%= @changes_pages.current.last_item %> / <%= @changes_count %> ]</p>
+<p class="pagination"><%= pagination_links_full @changes_pages %></p>
 
 <% content_for :header_tags do %>
 <%= stylesheet_link_tag "scm" %>
Index: trunk/app/views/repositories/revisions.rhtml
===================================================================
--- trunk/app/views/repositories/revisions.rhtml	(revision 1025)
+++ trunk/app/views/repositories/revisions.rhtml	(revision 1026)
@@ -9,8 +9,7 @@
 
 <%= render :partial => 'revisions', :locals => {:project => @project, :path => '', :revisions => @changesets, :entry => nil }%>
 
-<p><%= pagination_links_full @changeset_pages %>
-[ <%= @changeset_pages.current.first_item %> - <%= @changeset_pages.current.last_item %> / <%= @changeset_count %> ]</p>
+<p class="pagination"><%= pagination_links_full @changeset_pages,@changeset_count %></p>
 
 <% content_for :header_tags do %>
 <%= stylesheet_link_tag "scm" %>
Index: trunk/app/views/roles/list.rhtml
===================================================================
--- trunk/app/views/roles/list.rhtml	(revision 1025)
+++ trunk/app/views/roles/list.rhtml	(revision 1026)
@@ -29,7 +29,7 @@
   </tbody>
 </table>
 
-<p><%= pagination_links_full @role_pages %></p>
+<p class="pagination"><%= pagination_links_full @role_pages %></p>
 
 <p><%= link_to l(:label_permissions_report), :action => 'report' %></p>
 
Index: trunk/app/views/settings/edit.rhtml
===================================================================
--- trunk/app/views/settings/edit.rhtml	(revision 1025)
+++ trunk/app/views/settings/edit.rhtml	(revision 1026)
@@ -27,6 +27,9 @@
 <p><label><%= l(:setting_attachment_max_size) %></label>
 <%= text_field_tag 'settings[attachment_max_size]', Setting.attachment_max_size, :size => 6 %> KB</p>
 
+<p><label><%= l(:setting_per_page_options) %></label>
+<%= text_field_tag 'settings[per_page_options]', Setting.per_page_options_array.join(', '), :size => 20 %><br /><em><%= l(:text_comma_separated) %></em></p>
+
 <p><label><%= l(:setting_issues_export_limit) %></label>
 <%= text_field_tag 'settings[issues_export_limit]', Setting.issues_export_limit, :size => 6 %></p>
 
Index: trunk/app/views/trackers/list.rhtml
===================================================================
--- trunk/app/views/trackers/list.rhtml	(revision 1025)
+++ trunk/app/views/trackers/list.rhtml	(revision 1026)
@@ -30,6 +30,6 @@
   </tbody>
 </table>
 
-<%= pagination_links_full @tracker_pages %>
+<p class="pagination"><%= pagination_links_full @tracker_pages %></p>
 
 <% set_html_title(l(:label_tracker_plural)) -%>
Index: trunk/app/views/users/list.rhtml
===================================================================
--- trunk/app/views/users/list.rhtml	(revision 1025)
+++ trunk/app/views/users/list.rhtml	(revision 1026)
@@ -55,8 +55,6 @@
   </tbody>
 </table>
 
-<p><%= pagination_links_full @user_pages, :status => @status %>
-[ <%= @user_pages.current.first_item %> - <%= @user_pages.current.last_item %> / <%= @user_count %> ]
-</p>
+<p class="pagination"><%= pagination_links_full @user_pages, @user_count %></p>
 
 <% set_html_title(l(:label_user_plural)) -%>
Index: trunk/app/views/wiki/history.rhtml
===================================================================
--- trunk/app/views/wiki/history.rhtml	(revision 1025)
+++ trunk/app/views/wiki/history.rhtml	(revision 1026)
@@ -31,6 +31,5 @@
 </tbody>
 </table>
 <%= submit_tag l(:label_view_diff), :class => 'small' %>
-<%= pagination_links_full @version_pages, :page_param => :p %>
-[ <%= @version_pages.current.first_item %> - <%= @version_pages.current.last_item %> / <%= @version_count %> ]
+<span class="pagination"><%= pagination_links_full @version_pages, @version_count, :page_param => :p %></span>
 <% end %>
Index: trunk/config/settings.yml
===================================================================
--- trunk/config/settings.yml	(revision 1025)
+++ trunk/config/settings.yml	(revision 1026)
@@ -37,6 +37,8 @@
 issues_export_limit:
   format: int
   default: 500
+per_page_options:
+  default: '25,50,100'
 mail_from:
   default: redmine@somenet.foo
 bcc_recipients:
Index: trunk/lang/bg.yml
===================================================================
--- trunk/lang/bg.yml	(revision 1025)
+++ trunk/lang/bg.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/cs.yml
===================================================================
--- trunk/lang/cs.yml	(revision 1025)
+++ trunk/lang/cs.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/de.yml
===================================================================
--- trunk/lang/de.yml	(revision 1025)
+++ trunk/lang/de.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/en.yml
===================================================================
--- trunk/lang/en.yml	(revision 1025)
+++ trunk/lang/en.yml	(revision 1026)
@@ -198,6 +198,7 @@
 setting_repositories_encodings: Repositories encodings
 setting_emails_footer: Emails footer
 setting_protocol: Protocol
+setting_per_page_options: Objects per page options
 
 label_user: User
 label_user_plural: Users
@@ -456,6 +457,7 @@
 label_registration_activation_by_email: account activation by email
 label_registration_manual_activation: manual account activation
 label_registration_automatic_activation: automatic account activation
+label_display_per_page: 'Per page: %s'
 
 button_login: Login
 button_submit: Submit
Index: trunk/lang/es.yml
===================================================================
--- trunk/lang/es.yml	(revision 1025)
+++ trunk/lang/es.yml	(revision 1026)
@@ -553,3 +553,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/fr.yml
===================================================================
--- trunk/lang/fr.yml	(revision 1025)
+++ trunk/lang/fr.yml	(revision 1026)
@@ -198,6 +198,7 @@
 setting_repositories_encodings: Encodages des dépôts
 setting_emails_footer: Pied-de-page des emails
 setting_protocol: Protocole
+setting_per_page_options: Options d'objets affichés par page
 
 label_user: Utilisateur
 label_user_plural: Utilisateurs
@@ -456,6 +457,7 @@
 label_registration_activation_by_email: activation du compte par email
 label_registration_manual_activation: activation manuelle du compte
 label_registration_automatic_activation: activation automatique du compte
+label_display_per_page: 'Par page: %s'
 
 button_login: Connexion
 button_submit: Soumettre
Index: trunk/lang/he.yml
===================================================================
--- trunk/lang/he.yml	(revision 1025)
+++ trunk/lang/he.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/it.yml
===================================================================
--- trunk/lang/it.yml	(revision 1025)
+++ trunk/lang/it.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/ja.yml
===================================================================
--- trunk/lang/ja.yml	(revision 1025)
+++ trunk/lang/ja.yml	(revision 1026)
@@ -551,3 +551,5 @@
 button_annotate: 注釈
 label_issues_by: %s別の問題
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/ko.yml
===================================================================
--- trunk/lang/ko.yml	(revision 1025)
+++ trunk/lang/ko.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/nl.yml
===================================================================
--- trunk/lang/nl.yml	(revision 1025)
+++ trunk/lang/nl.yml	(revision 1026)
@@ -551,3 +551,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/pl.yml
===================================================================
--- trunk/lang/pl.yml	(revision 1025)
+++ trunk/lang/pl.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Adnotuj
 label_issues_by: Zagadnienia wprowadzone przez %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/pt-br.yml
===================================================================
--- trunk/lang/pt-br.yml	(revision 1025)
+++ trunk/lang/pt-br.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/pt.yml
===================================================================
--- trunk/lang/pt.yml	(revision 1025)
+++ trunk/lang/pt.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/ro.yml
===================================================================
--- trunk/lang/ro.yml	(revision 1025)
+++ trunk/lang/ro.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/ru.yml
===================================================================
--- trunk/lang/ru.yml	(revision 1025)
+++ trunk/lang/ru.yml	(revision 1026)
@@ -550,3 +550,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/sr.yml
===================================================================
--- trunk/lang/sr.yml	(revision 1025)
+++ trunk/lang/sr.yml	(revision 1026)
@@ -551,3 +551,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/sv.yml
===================================================================
--- trunk/lang/sv.yml	(revision 1025)
+++ trunk/lang/sv.yml	(revision 1026)
@@ -551,3 +551,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/zh-tw.yml
===================================================================
--- trunk/lang/zh-tw.yml	(revision 1025)
+++ trunk/lang/zh-tw.yml	(revision 1026)
@@ -550,3 +550,5 @@
 enumeration_doc_categories: 文件分類
 enumeration_activities: 活動 (time tracking)
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/lang/zh.yml
===================================================================
--- trunk/lang/zh.yml	(revision 1025)
+++ trunk/lang/zh.yml	(revision 1026)
@@ -553,3 +553,5 @@
 button_annotate: Annotate
 label_issues_by: Issues by %s
 field_searchable: Searchable
+label_display_per_page: 'Per page: %s'
+setting_per_page_options: Objects per page options
Index: trunk/public/stylesheets/application.css
===================================================================
--- trunk/public/stylesheets/application.css	(revision 1025)
+++ trunk/public/stylesheets/application.css	(revision 1026)
@@ -126,6 +126,9 @@
 .autoscroll {overflow-x: auto; padding:1px; width:100%; margin-bottom: 1.2em;}
 #user_firstname, #user_lastname, #user_mail, #my_account_form select { width: 90%; }
 
+.pagination {font-size: 90%}
+p.pagination {margin-top:8px;}
+
 /***** Tabular forms ******/
 .tabular p{
 margin: 0;